Freeze a card
curl --request POST \
--url https://api.fyatu.com/api/v3.20/cards/{id}/freeze \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fyatu.com/api/v3.20/cards/{id}/freeze"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fyatu.com/api/v3.20/cards/{id}/freeze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Card frozen",
"data": {
"id": "crd_01HXYZ5555ABCDEF1111",
"cardholderId": "chl_01HXYZ1234ABCDEF5678",
"productId": "prd_01HXYZ7777ABCDEF3333",
"status": "FROZEN",
"cardType": "VIRTUAL",
"cardBrand": "VISA",
"maskedPan": "**** **** **** 4242",
"last4": "4242",
"expirationDate": "05/2029",
"currency": "USD",
"frozenAt": "2026-05-26T10:00:00Z",
"createdAt": "2026-05-22T09:00:00Z",
"updatedAt": "2026-05-26T10:00:00Z"
},
"meta": {
"requestId": "req_a1b2c3d4e5f6a7b8c9d0e1f2",
"platform": "Fyatu CaaS",
"timestamp": "2026-05-26T10:00:00Z"
}
}Cards
Freeze Card
Temporarily freeze a card to block all transactions. POST /cards//freeze. Requires cards:write scope.
POST
/
cards
/
{id}
/
freeze
Freeze a card
Overview
Immediately freezes an active card. While frozen:- All purchase attempts are declined at the network level
- The card balance is fully preserved
- The card can be unfrozen at any time via
POST /cards/{id}/unfreeze
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string | The card ID (prefix crd_) |
Request Body
This endpoint has no request body.Example
curl -X POST https://api.fyatu.com/api/v3.20/cards/crd_01HXYZ5555ABCDEF1111/freeze \
-H "Authorization: Bearer $FYATU_API_KEY"
const resp = await fetch(
'https://api.fyatu.com/api/v3.20/cards/crd_01HXYZ5555ABCDEF1111/freeze',
{
method: 'POST',
headers: { 'Authorization': `Bearer ${process.env.FYATU_API_KEY}` }
}
);
const body = await resp.json();
console.log(body.data.status); // "FROZEN"
console.log(body.data.frozenAt); // "2026-05-26T10:00:00Z"
import os, requests
resp = requests.post(
'https://api.fyatu.com/api/v3.20/cards/crd_01HXYZ5555ABCDEF1111/freeze',
headers={'Authorization': f'Bearer {os.environ["FYATU_API_KEY"]}'}
)
card = resp.json()['data']
print(card['status']) # FROZEN
print(card['frozenAt'])
Success Response (200)
Returns the updated card withstatus: FROZEN and a non-null frozenAt:
{
"success": true,
"status": 200,
"message": "Card frozen",
"data": {
"id": "crd_01HXYZ5555ABCDEF1111",
"cardholderId": "chl_01HXYZ1234ABCDEF5678",
"productId": "prd_01HXYZ7777ABCDEF3333",
"status": "FROZEN",
"cardType": "VIRTUAL",
"cardBrand": "VISA",
"maskedPan": "**** **** **** 4242",
"last4": "4242",
"expirationDate": "05/2029",
"currency": "USD",
"frozenAt": "2026-05-26T10:00:00Z",
"createdAt": "2026-05-22T09:00:00Z",
"updatedAt": "2026-05-26T10:00:00Z"
},
"meta": {
"requestId": "req_01HXY123456ABCDEF",
"platform": "Fyatu CaaS",
"timestamp": "2026-05-26T10:00:00Z"
}
}
Webhook
ACARD_FROZEN event fires after a successful freeze:
{
"event": "CARD_FROZEN",
"eventId": "evt_01HXY123456ABCDEF",
"businessId": "BUS1A2B3C4D5E6F",
"environment": "LIVE",
"timestamp": "2026-05-26T10:00:00Z",
"data": {
"cardId": "crd_01HXYZ5555ABCDEF1111",
"status": "FROZEN",
"cardType": "VIRTUAL",
"cardholderId": "chl_01HXYZ1234ABCDEF5678"
}
}
Error Codes
| Code | HTTP | Cause |
|---|---|---|
CARD_NOT_FOUND | 404 | Card does not exist or belongs to another business/environment |
CARD_ALREADY_FROZEN | 409 | Card is already frozen |
CARD_ALREADY_TERMINATED | 422 | Cannot freeze a terminated card |
INSUFFICIENT_SCOPE | 403 | Key lacks cards:write scope |
Authorizations
API key from the FYATU CaaS portal. Pass as Authorization: Bearer <key>.
Path Parameters
⌘I

